.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the doc/base/classes.xml source instead.

.. _class_YSort:

YSort
=====

**Inherits:** :ref:`Node2D<class_node2d>` **<** :ref:`CanvasItem<class_canvasitem>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Sort all child nodes based on their Y positions.

Member Functions
----------------

+--------------------------+-----------------------------------------------------------------------------------------------------+
| :ref:`bool<class_bool>`  | :ref:`is_sort_enabled<class_YSort_is_sort_enabled>`  **(** **)** const                              |
+--------------------------+-----------------------------------------------------------------------------------------------------+
| void                     | :ref:`set_sort_enabled<class_YSort_set_sort_enabled>`  **(** :ref:`bool<class_bool>` enabled  **)** |
+--------------------------+-----------------------------------------------------------------------------------------------------+

Member Variables
----------------

- :ref:`bool<class_bool>` **sort_enabled**

Description
-----------

Sort all child nodes based on their Y positions. The child node must inherit from :ref:`CanvasItem<class_canvasitem>` for it to be sorted. Nodes that have a higher Y position will be drawn later, so they will appear on top of nodes that have a lower Y position.

Member Function Description
---------------------------

.. _class_YSort_is_sort_enabled:

- :ref:`bool<class_bool>`  **is_sort_enabled**  **(** **)** const

Returns true if the children nodes are being sorted.

.. _class_YSort_set_sort_enabled:

- void  **set_sort_enabled**  **(** :ref:`bool<class_bool>` enabled  **)**

Set whether the children nodes are sorted or not. (default true)


